<?php
// $Id$

/**
 * @file
 * This file is used to hold all themed output functions
 */

/**
 * Custom theme function: page output
 */
function theme_page_udplanet($title, $url, $heading, $link, $content, $time, $uid) {
  $timestamp = format_date($time, 'custom', variable_get('date_format_long', 'l, F j, Y - H:i'));  // to use site current long date format
  $picture = theme('user_picture', user_load($uid));

  $output  = '<div class="udp-entry">';
  $output .= '  <div class="udp-person-info">';
  $output .= '    <a href="' . $url . '">';
  $output .= '      ' . $picture;
  $output .= '      <br />' . $title;
  $output .= '    </a>';
  $output .= '  </div>';
  $output .= '  <div class="udp-post">';
  $output .= '    <div class="udp-post2">';
  $output .= '      <div class="udp-post-header">';
  $output .= '        <h4 class="udp-post-title">';
  $output .= '          <a href="' . $link . '">' . $heading . '</a>';
  $output .= '        </h4>';
  $output .= '      </div>';
  $output .= '      <div class="udp-post-contents">';
  $output .= '        ' . $content;
  $output .= '      </div>';
  $output .= '      <div class="udp-post-footer">';
  $output .= '        <p>';
  $output .= '          <a href="' . $link . '">' . $timestamp . '</a>';
  $output .= '        </p>';
  $output .= '      </div>';
  $output .= '    </div>';
  $output .= '  </div>';
  $output .= '</div>';

  return $output;
}

/**
 * Custom theme function: date heading
 */
function theme_heading_udplanet($date) {
  $output  = '<h2 class="udp-date">';
  $output .=   $date;
  $output .= '</h2>';

  return $output;
}

/**
 * Custom theme function: block feeds
 */
function theme_sidebar_udplanet_feeds_open() {
  $output  = '<div class="udp-inside">';
  $output .= '  <ul>';

  return $output;
}

/**
 * Custom theme function: block feeds
 */
function theme_sidebar_udplanet_feeds_list($title, $feed, $link) {
  $output  = '    <li>';
  $output .= '      <a href="' . $link . '">' . $title . '</a> <a href="' . $feed . '"> (feed)</a>';
  $output .= '    </li>';

  return $output;
}

/**
 * Custom theme function: block feeds
 */
function theme_sidebar_udplanet_feeds_close() {
  $output  = '  </ul>';
  $output .= '</div>';

  return $output;
}

/**
 * Only fill out the full pager if there's enough data for it.
 */
function udtheme_real_max_pages($pages) {

  // Find out how many items are available
  $items = db_query('SELECT
                     COUNT({users.uid}) AS max
                     FROM {udplanet_feeds}
                     LEFT JOIN {users} ON {udplanet_feeds}.uid = {users}.uid
                     LEFT JOIN {aggregator_feed} ON {udplanet_feeds}.fid = {aggregator_feed}.fid
                     LEFT JOIN {aggregator_item} ON {aggregator_feed}.fid = {aggregator_item}.fid
                     WHERE {udplanet_feeds}.disabled IS NOT TRUE
                     AND {udplanet_feeds}.frozen IS NOT TRUE
                     AND {aggregator_item}.timestamp IS NOT NULL
                     LIMIT %d', variable_get('udplanet_feed_items', 40));

  // Then how many pages that can be made from those
  $real_pages = ceil(db_fetch_object($items)->max / $pages);

  // And return the lowest
  return min($real_pages, $pages);
}
